Package com.sas.lsaf.execution.job

## Class JobInputFolder

- java.lang.Object
- - com.sas.lsaf.execution.job.JobInput
  - - com.sas.lsaf.execution.job.JobInputFolder

- All Implemented Interfaces:
    `java.io.Serializable`

      public class JobInputFolder
      extends JobInput

  The class that represents the folder to transfer when submitting a published job. By default, it does not include subfolders and transfers only the specified folder and the files directly underneath it. Sets `includeSubfolders` to true to transfer the folder and all files and folders underneath it.
  Note: Wildcards are not supported for folders.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobInputFolder()` | Constructor.
    `JobInputFolder​(java.lang.String path)` | Constructor.
    `JobInputFolder​(java.lang.String path, boolean includeSubfolders)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `boolean` | `isIncludeSubfolders()` | Indicates whether to include child folders and contents when transferring the folder when submitting a published job.
    `void` | `setIncludeSubfolders​(boolean includeSubfolders)` | Sets whether to include child folders and contents when transferring the folder when submitting a published job.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.execution.job.JobInput

      `getPath, setPath`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobInputFolder

          public JobInputFolder()

      Constructor.

    - #### JobInputFolder

          public JobInputFolder​(java.lang.String path)

      Constructor.
      Parameters:
        `path` - The path to the folder to transfer when submitting a published job.

    - #### JobInputFolder

          public JobInputFolder​(java.lang.String path,
                                boolean includeSubfolders)

      Constructor.
      Parameters:
        `path` - The path of the folder to transfer when submitting a published job.
        `includeSubfolders` - Indicates whether to include child folders and contents.

  - ### Method Detail

    - #### isIncludeSubfolders

          public boolean isIncludeSubfolders()

      Indicates whether to include child folders and contents when transferring the folder when submitting a published job. The default is false.
      Returns:
        Indicates whether to include child folders and contents. The default is false.

    - #### setIncludeSubfolders

          public void setIncludeSubfolders​(boolean includeSubfolders)

      Sets whether to include child folders and contents when transferring the folder when submitting a published job. The default is false.
      Parameters:
        `includeSubfolders` - Whether to include child folders and contents when transferring the folder when submitting a published job. Default is false.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `JobInput`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `JobInput`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `JobInput`